package com.hikapro.backpack.view.recycler;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ImageButton;

import com.hikapro.backpack.R;


/**
 * Created by tariel on 01/05/16.
 */
public class ItemViewHolderCopy extends RecyclerView.ViewHolder {

    public int id;
    public CheckBox     checkBox;
    public Button       leaveAtHomeButton;
    public Button       deleteButton;
    public ImageButton  infoButton;
    public ViewGroup    swipeGroup;

    public ItemViewHolderCopy(View v) {
        super(v);
        setupViews(v);
    }

    private void setupViews(View view) {
        infoButton          = (ImageButton) view.findViewById(R.id.info_button);
        checkBox            = (CheckBox) view.findViewById(R.id.item_checkbox);
        leaveAtHomeButton   = (Button) view.findViewById(R.id.leave_at_home_button);
        deleteButton        = (Button) view.findViewById(R.id.delete_button);
        swipeGroup          = (ViewGroup) view.findViewById((R.id.swipe_container));
    }

}
